#include "Math/Polynomial.h"
#include "Math/Interpolator.h"
 
#include <iostream>
#include <fstream>
#include "TCanvas.h"
#include "TGraph.h"

Double_t csN14_interpolation(Double_t k){

  using namespace std;

  const Int_t n1 = 94;
  Double_t k1[n1], cs1[n1]; 

  //

  ifstream txtfile1;  
  char file1[200];
  sprintf(file1,"csN14.dat");
  txtfile1.open(file1);
  
  // 14N(g,p)13C
  // E(MeV)	  sigma(barn)
  // Claudio cross section file.
  //
  //  cout << "Data file is " << file1 << endl;
  
  for ( Int_t i = 0; i < n1; ++i ){
    txtfile1 >> k1[i] >> cs1[i];
    cs1[i] = cs1[i] *1e+9; // in nbarn (1nb = 1e-33 cm2)
    //    cout << "energy = " << k1[n1] << " Cross Section = " << cs1[n1] << endl;
  }
  
  ////
  
  // You can choose among the following methods:
  // CSPLINE, LINEAR, POLYNOMIAL,
  // CSPLINE_PERIODIC, AKIMA, AKIMA_PERIODIC
  ROOT::Math::Interpolator inter(n1, ROOT::Math::Interpolation::kLINEAR);
  inter.SetData(n1, k1, cs1);
  
  //  cout << " k =" << 8.0 << " Interpolation Value = " << inter.Eval(8.0) << endl;
  
  return inter.Eval(k);

  ////
  
}
